import { BlLifeRechargeServices, PhoneMesssageCodeLoginInput } from './lifeRechargeServices';
import { IRequest, BlLifeRechargeOptions } from './types';

export class BlLifeRecharge<T extends IRequest = IRequest> {
  services: BlLifeRechargeServices<T>;
  isLogin = false;

  constructor(options: BlLifeRechargeOptions<T>) {
    this.services = new BlLifeRechargeServices(options);
  }

  login(body: PhoneMesssageCodeLoginInput) {
    let res = this.services.lifePayPhoneMesssageCodeLogin(body);
    this.isLogin = true;
    return res;
  }

  getRechargeParValue(amount: number, rate: number) {
    return (amount * rate).toFixed(2);
  }
}
